summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Brand <tom@trellis.ch>2019-02-17 22:47:25 +0100
committerThomas Brand <tom@trellis.ch>2019-02-17 22:47:25 +0100
commit2387a2d90895755d851f063928f198dd42e1676c (patch)
tree0e7c6d43302704392c6f53fb6f517c21c146fa0d
parentf75481f0cb37a64055325f768eacd5e28a299d31 (diff)
downloadjack2-2387a2d90895755d851f063928f198dd42e1676c.tar.gz
OSX build installs to /usr/local prefix
-rwxr-xr-x.ci/test_run.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/.ci/test_run.sh b/.ci/test_run.sh
index 3071fd83..7cba993d 100755
--- a/.ci/test_run.sh
+++ b/.ci/test_run.sh
@@ -1,12 +1,11 @@
#!/bin/bash
-#stop here if ./waf install wasn't successful
-ls -l /usr/bin/jackd || exit
-
echo "`date`"
echo "$TRAVIS_OS_NAME"
echo "========================================================================="
if [ "$TRAVIS_OS_NAME" == "linux" ]; then
+ #stop here if ./waf install wasn't successful
+ ls -l /usr/bin/jackd || exit
#find installed files
sudo updatedb
locate jack | grep -e "/usr/bin" -e "/usr/lib" -e "/usr/share/man" -e "/usr/include"
@@ -16,6 +15,9 @@ if [ "$TRAVIS_OS_NAME" == "linux" ]; then
#check for unused dependencies
ls -1 /usr/bin/jack_*|while read line; do
echo "checking unused dependencies for ${line}:"; ldd -r -u "$line"; done
+elif [ "$TRAVIS_OS_NAME" == "osx" ]; then
+ #stop here if ./waf install wasn't successful
+ ls -l /usr/local/bin/jackd || exit
fi
echo "========================================================================="
jackd --version